mscorlib 2.0.0.0 4.0.0.0 System.Text.DecoderFallbackBuffer

A common reason for an encoding or decoding operation to fail is if the underlying encoding class does not provide a mapping between a character and an equivalent byte sequence. If the input byte sequence cannot be converted to an output character, the decoding operation calls the method, which throws .

The class, which represents a data buffer used in a decoding operation, is the base class for the class. However, instead of a data buffer, the class represents a standard behavior in which an exception is thrown if a decoding operation fails. No actual data buffer exists, and the members designed to manipulate such a buffer do no significant work.

Throws when an encoded input byte sequence cannot be converted to a decoded output character. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  The and methods call if they encounter an unknown byte in their input. In response, the method always throws and displays the input data. The method nominally indicates whether an exception is thrown if an input byte sequence cannot be decoded.

  Throws when the input byte sequence cannot be decoded. The nominal return value is not used.

  None. No value is returned because the method always throws an exception.

  The nominal return value is true. A return value is defined, although it is unchanging, because this method implements an abstract method.

  An input array of bytes. The index position of a byte in the input.
- Method
  2.0.0.0
  4.0.0.0
  System.Char

  Because has no actual exception data buffer, the method always returns the Unicode NULL character.

  Retrieves the next character in the exception data buffer.

  The return value is always the Unicode character NULL (U+0000).

  A return value is defined, although it is unchanging, because this method implements an abstract method.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean

  Because has no actual exception data buffer, the method always returns false.

  Causes the next call to to access the exception data buffer character position that is prior to the current position.

  The return value is always false.

  A return value is defined, although it is unchanging, because this method implements an abstract method.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Because has no actual exception data buffer, the property always returns zero.

  Gets the number of characters in the current object that remain to be processed.